Skip to content

getChangeNoticeAffectedItems

READ

Get change notice affected items.

POST /api/v1/items/getChangeNoticeAffectedItems
curl -X POST '<your-host>/api/v1/items/getChangeNoticeAffectedItems' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "changeNoticeId": "string"
  }'
Response
{
  "results": [
    {
      "baseMakeMethodId": "string",
      "changeOrderId": "string",
      "changeSummary": "…",
      "changeType": "Version",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "discontinuationDate": "string",
      "draftMakeMethodId": "string",
      "id": "string",
      "itemId": "string",
      "newItemId": "string",
      "sortOrder": 0,
      "successorEffectivityDate": "string",
      "supersessionMode": "Consume First",
      "updatedAt": "string",
      "updatedBy": "string",
      "item": {
        "id": "string",
        "readableId": "string",
        "readableIdWithRevision": "string",
        "name": "string",
        "type": "Part",
        "active": true,
        "revisionStatus": "Production",
        "replenishmentSystem": "Buy"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "changeNoticeId": {
      "type": "string"
    }
  },
  "required": [
    "changeNoticeId"
  ]
}